This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 441527 - feh shell command injection with crafted file names
feh shell command injection with crafted file names
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 12:02 EDT by Red Hat Product Security
Modified: 2009-10-23 15:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 06:17:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-04-08 12:02:02 EDT
The following flaw was discovered:

From Debian, see References.  Certain crafted file names may contain non-escaped shell metacharacters which can lead to arbitrary code execution when expanded.

References:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=470863
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397125
Comment 1 Fedora Update System 2008-04-10 08:04:31 EDT
feh-1.3.4-8.fc8 has been submitted as an update for Fedora 8
Comment 2 Hans de Goede 2008-04-10 08:06:42 EDT
Thanks for the report, this has been fixed by the following builds:
feh-1.3.4-8.fc7
feh-1.3.4-8.fc8
feh-1.3.4-8.fc9

A mail has been send to rel-eng to include the fc9 version in F-9, updates have
been created in bodhi for the other 2.
https://admin.fedoraproject.org/updates/F7/pending/feh-1.3.4-8.fc7
https://admin.fedoraproject.org/updates/F8/pending/feh-1.3.4-8.fc8
Comment 3 Fedora Update System 2008-04-16 23:49:19 EDT
feh-1.3.4-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-04-16 23:49:55 EDT
feh-1.3.4-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Bugzilla 2009-10-23 15:06:54 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.